LibreOffice: DataTruncation Exception Reference

LibreOffice LibreOffice 25.2 SDK API Reference |

Loading...
Searching...
No Matches
Public Attributes | List of all members
DataTruncation Exception Referencepublished

reports a DataTruncation warning, on reads, or is thrown as a DataTruncation exception, on writes, when a data value is unexpectedly truncated. More...

`import "DataTruncation.idl";`

Inheritance diagram for DataTruncation:

## Public Attributes
long | Index
| is the index of the parameter or column value.
boolean | IsParameter
| is `TRUE` if a parameter value is truncated.
boolean | DuringRead
| is `TRUE` if a read was truncated.
long | DataSize
| contains the number of bytes of data that should have been transferred.
long | TransferSize
| contains the number of bytes of data actually transferred.
Public Attributes inherited from SQLException
string | SQLState
| returns a string, which uses the XOPEN SQLState conventions.
long | ErrorCode
| returns an integer error code that is specific to each vendor.
any | NextException
| returns a chain to the next Exception.
Public Attributes inherited from Exception
string | Message
| gives a detailed description of the reason, why the exception was thrown.
com::sun::star::uno::XInterface | Context
| should contain a reference to the original, which raised the exception.

## Detailed Description

reports a DataTruncation warning, on reads, or is thrown as a DataTruncation exception, on writes, when a data value is unexpectedly truncated.

The SQL state for a `DataTruncation` is `01004`.

## Member Data Documentation

## ◆ DataSize

long DataSize

contains the number of bytes of data that should have been transferred.

This number may be approximate if data conversions were being performed. The value may be `-1` if the size is unknown.

## ◆ DuringRead

boolean DuringRead

is `TRUE` if a read was truncated.

## ◆ Index

long Index

is the index of the parameter or column value.

## ◆ IsParameter

boolean IsParameter

is `TRUE` if a parameter value is truncated.

## ◆ TransferSize

long TransferSize

contains the number of bytes of data actually transferred.

The value may be `-1` if the size is unknown.

The documentation for this exception was generated from the following file:

- com/sun/star/sdbc/DataTruncation.idl